<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/milligram/1.4.1/milligram.css"/>

    <style>
      .container {
        max-width: 960px;
        margin: 0 auto;
      }
      h1 {
        padding-top: 40px;
      }
    </style>
  </head>
  <body>
    <div id="app" class="container">
      <h1>Quiz 5</h1>

      <div v-if="!isEditing">
        <input type="text" v-model="input" />
        <input type="submit" value="Add" @click="storeinput" />
      </div>
      <div v-else>
        <input type="text" v-model="input" />
        <input type="submit" value="Update" @click="updateinput" />
      </div>

      <ol>
        <li v-for="(input, index) in inputs">
          {{ input }}
          <button @click="editinput(index, input)">Edit</button>
          <button @click="removeinput(index)">Delete</button>
        </li>
      </ol>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script>
    <script>
      new Vue({
        el: "#app",

        data: {
          isEditing: false,
          input: "",
          inputs: [],
          selectedinput: null,
        },

        methods: {
          storeinput() {
            this.inputs.push(this.input);
            this.input = "";
          },

          removeinput(index) {
            this.inputs.splice(index, 1);
          },

          updateinput() {
            this.inputs.splice(this.selectedIndex, 1, this.input);
            this.input = "";
            this.isEditing = false;
          },

          editinput(index, input) {
            this.isEditing = true;
            this.input = input;
            this.selectedIndex = index;
          },
        },
      });
    </script>
  </body>
</html>